#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.Data;
using Syncfusion.UI.Xaml.Charts;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GettingStarted
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : ChromelessWindow
    {
        public MainWindow()
        {
            InitializeComponent();
           
        }

        private void sfgrid_FilterChanged(object sender, Syncfusion.UI.Xaml.Grid.GridFilterEventArgs e)
        {
            ObservableCollection<OrderInfo> order = new ObservableCollection<OrderInfo>();
           
            var records = (sender as SfDataGrid).View.Records;
            foreach (RecordEntry record in records)
                order.Add(record.Data as OrderInfo);

            chart.Series.Clear();

            ColumnSeries series = new ColumnSeries()
            {
                ItemsSource = order,
                XBindingPath = "ProductName",
                YBindingPath = "Price",
                Palette = ChartColorPalette.Metro
            };


             chart.Series.Add(series);
        }
    }
}
