#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using Syncfusion.Windows.Controls.Grid;
using System.Text.RegularExpressions;
using System.Windows.Media;
using System.Windows;
using System.Windows.Media.Imaging;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Shared;
using GettingStarted;
using GettingStarted.Model;

namespace GettingStarted
{
    public class ViewModel : NotificationObject
    {

        private ObservableCollection<OrderInfo> _orderList = new ObservableCollection<OrderInfo>();

        /// <summary>
        /// Gets or sets the order list.
        /// </summary>
        /// <value>The order list.</value>
        public ObservableCollection<OrderInfo> OrderList
        {
            get
            {
                return _orderList;
            }
            set
            {
                _orderList = value;
                RaisePropertyChanged("OrderList");
            }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ViewModel"/> class.
        /// </summary>
        public ViewModel()
        {
            this.PopulateData();
        }

        /// <summary>
        /// Populates the data.
        /// </summary>
        private void PopulateData()
        {


            _orderList.Add(new OrderInfo() { ProductName = "Rod Kaviar", Price = 9 });
            _orderList.Add(new OrderInfo() { ProductName = "OutBack Lager", Price = 4.50 });
            _orderList.Add(new OrderInfo() { ProductName = "LongLige tofu", Price = 14.00 });
            _orderList.Add(new OrderInfo() { ProductName = "Aniseed Syrup", Price = 31.23 });
            _orderList.Add(new OrderInfo() { ProductName = "Maxilaku", Price = 43.90 });
            _orderList.Add(new OrderInfo() { ProductName = "konbu", Price = 45.60 });
            _orderList.Add(new OrderInfo() { ProductName = "Chai", Price = 123.79 });
            _orderList.Add(new OrderInfo() { ProductName = "Tunbrod", Price = 25.89 });
            _orderList.Add(new OrderInfo() { ProductName = "Pavlova", Price = 12.50 });
            _orderList.Add(new OrderInfo() { ProductName = "Geitost", Price = 50 });

            _orderList.Add(new OrderInfo() { ProductName = "Ipoh coffee", Price = 60 });
            _orderList.Add(new OrderInfo() { ProductName = "Gravad lax", Price = 46 });

            _orderList.Add(new OrderInfo() { ProductName = "Spegesild", Price = 77 });
            _orderList.Add(new OrderInfo() { ProductName = "Filo Mix", Price = 82 });
            _orderList.Add(new OrderInfo() { ProductName = "Alice Mutton", Price = 40 });
            _orderList.Add(new OrderInfo() { ProductName = "Chocolade", Price = 90 });
            _orderList.Add(new OrderInfo() { ProductName = "ikura", Price = 55 });
        }
    }
}

